# $Revision: 1.20 $, $Date: 2009/02/26 22:25:59 $
Summary:	imake utilities - C preprocessor interface to the make utility
Summary(pl.UTF-8):	Narzędzia imake - interfejs preprocesora C do narzędzia make
Name:		xorg-util-imake
Version:	1.0.2
Release:	4
License:	MIT
Group:		X11/Development/Tools
Source0:	http://xorg.freedesktop.org/releases/individual/util/imake-%{version}.tar.bz2
# Source0-md5:	02fea5a02ba2857c7d81820c8e8b8e6f
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	cpp >= 6:4.0.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
Requires:	cpp >= 6:4.0.0
Obsoletes:	X11-imake < 1:7.0.0
Obsoletes:	XFree86-imake < 1:7.0.0
Obsoletes:	imake < 1:7.0.0
Obsoletes:	xorg-util-xmkmf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
imake utility plus the following support programs: ccmakedep,
mergelib, revpath, mkdirhier, makeg, cleanlinks, mkhtmlindex, xmkmf.

imake is used to generate Makefiles from a template, a set of cpp
macro functions, and a per-directory input file called an Imakefile.
This allows machine dependencies (such as compiler options, alternate
command names, and special make rules) to be kept separate from the
descriptions of the various items to be built.

%description -l pl.UTF-8
Narzędzie imake oraz następujące programy wspierające: ccmakedep,
mergelib, revpath, mkdirhier, makeg, cleanlinks, mkhtmlindex, xmkmf.

imake służy do generowania plików Makefile z szablonu, zbioru funkcji
makr cpp oraz plików wejściowych Imakefile umieszczonych w każdym
katalogu. Pozwala to na trzymanie elementów zależnych od maszyny
(takich jak opcje kompilatora, alternatywne nazwy poleceń oraz
specjalne reguły make) oddzielonych od opisów elementów do zbudoawnia.

%prep
%setup -q -n imake-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/ccmakedep
%attr(755,root,root) %{_bindir}/cleanlinks
%attr(755,root,root) %{_bindir}/imake
%attr(755,root,root) %{_bindir}/makeg
%attr(755,root,root) %{_bindir}/mergelib
%attr(755,root,root) %{_bindir}/mkdirhier
%attr(755,root,root) %{_bindir}/mkhtmlindex
%attr(755,root,root) %{_bindir}/revpath
%attr(755,root,root) %{_bindir}/xmkmf
%{_mandir}/man1/ccmakedep.1x*
%{_mandir}/man1/cleanlinks.1x*
%{_mandir}/man1/imake.1x*
%{_mandir}/man1/makeg.1x*
%{_mandir}/man1/mergelib.1x*
%{_mandir}/man1/mkdirhier.1x*
%{_mandir}/man1/mkhtmlindex.1x*
%{_mandir}/man1/revpath.1x*
%{_mandir}/man1/xmkmf.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-util-imake.spec,v $
Revision 1.20  2009/02/26 22:25:59  glen
- require cpp >= 4.0 to avoid pulling compat-gcc for cpp dep; rel 4

Revision 1.19  2007/02/19 16:32:02  arekm
- rebuild to fix FileDigestParameterized issue

Revision 1.18  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.16  2007/01/06 22:47:46  arekm
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

Revision 1.15  2006/12/24 11:12:38  qboosh
- longer desc from imake manual

Revision 1.14  2006/05/23 06:37:08  arekm
- up to 1.0.2

Revision 1.13  2006/05/14 17:11:09  arekm
- no more X11R7.0 in setup

Revision 1.12  2006/05/08 17:07:57  arekm
- update md5sum for individual files.

Revision 1.11  2006/05/08 17:00:03  arekm
- switch to individual files

Revision 1.10  2006/02/20 08:14:04  qboosh
- Obsoletes: XFree86-imake, imake

Revision 1.9  2006/02/20 08:06:25  wiget
- O: X11-imake
- release 2

Revision 1.8  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.7  2005/12/22 11:38:33  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.6  2005/12/20 23:13:28  qboosh
- Obsoletes: xorg-util-xmkmf

Revision 1.5  2005/12/19 14:25:49  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.4  2005/12/04 09:53:03  qboosh
- R: cpp

Revision 1.3  2005/12/04 09:44:07  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.2  2005/11/19 17:02:09  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.1  2005/10/22 19:10:43  qboosh
- new
